// <auto-generated>
//     Generated by the protocol buffer compiler.  DO NOT EDIT!
//     source: command/generic/UpdateFirmware.proto
// </auto-generated>
#pragma warning disable 1591, 0612, 3021, 8981
#region Designer generated code

using pb = global::Google.Protobuf;
using pbc = global::Google.Protobuf.Collections;
using pbr = global::Google.Protobuf.Reflection;
using scg = global::System.Collections.Generic;
namespace UpdateFirmware {

  /// <summary>Holder for reflection information generated from command/generic/UpdateFirmware.proto</summary>
  public static partial class UpdateFirmwareReflection {

    #region Descriptor
    /// <summary>File descriptor for command/generic/UpdateFirmware.proto</summary>
    public static pbr::FileDescriptor Descriptor {
      get { return descriptor; }
    }
    private static pbr::FileDescriptor descriptor;

    static UpdateFirmwareReflection() {
      byte[] descriptorData = global::System.Convert.FromBase64String(
          string.Concat(
            "CiRjb21tYW5kL2dlbmVyaWMvVXBkYXRlRmlybXdhcmUucHJvdG8SD3VwZGF0",
            "ZV9maXJtd2FyZRofZ29vZ2xlL3Byb3RvYnVmL3RpbWVzdGFtcC5wcm90byKi",
            "AgoVVXBkYXRlRmlybXdhcmVDb21tYW5kEhAKCGxvY2F0aW9uGAEgASgJEhQK",
            "B3JldHJpZXMYAiABKAVIAIgBARIxCg1yZXRyaWV2ZV9kYXRlGAMgASgLMhou",
            "Z29vZ2xlLnByb3RvYnVmLlRpbWVzdGFtcBIbCg5yZXRyeV9pbnRlcnZhbBgE",
            "IAEoBUgBiAEBEiUKGHRhcmdldF9kZXZpY2VfaWRlbnRpZmllchgFIAEoCUgC",
            "iAEBEhsKDnRhcmdldF92ZXJzaW9uGAYgASgJSAOIAQFCCgoIX3JldHJpZXNC",
            "EQoPX3JldHJ5X2ludGVydmFsQhsKGV90YXJnZXRfZGV2aWNlX2lkZW50aWZp",
            "ZXJCEQoPX3RhcmdldF92ZXJzaW9uImMKHVVwZGF0ZUZpcm13YXJlQ29tbWFu",
            "ZFJlc3BvbnNlEiUKGHRhcmdldF9kZXZpY2VfaWRlbnRpZmllchgBIAEoCUgA",
            "iAEBQhsKGV90YXJnZXRfZGV2aWNlX2lkZW50aWZpZXJCjAEKIWNvbS5jb2Rp",
            "Ymx5Lm1vZGVsLmNvbW1hbmQuZ2VuZXJpY0ITVXBkYXRlRmlybXdhcmVQcm90",
            "b8oCIURvbWFpbk1vZGVsXFByb3RvXENvbW1hbmRcR2VuZXJpY+ICLURvbWFp",
            "bk1vZGVsXFByb3RvXENvbW1hbmRcR2VuZXJpY1xHUEJNZXRhZGF0YWIGcHJv",
            "dG8z"));
      descriptor = pbr::FileDescriptor.FromGeneratedCode(descriptorData,
          new pbr::FileDescriptor[] { global::Google.Protobuf.WellKnownTypes.TimestampReflection.Descriptor, },
          new pbr::GeneratedClrTypeInfo(null, null, new pbr::GeneratedClrTypeInfo[] {
            new pbr::GeneratedClrTypeInfo(typeof(global::UpdateFirmware.UpdateFirmwareCommand), global::UpdateFirmware.UpdateFirmwareCommand.Parser, new[]{ "Location", "Retries", "RetrieveDate", "RetryInterval", "TargetDeviceIdentifier", "TargetVersion" }, new[]{ "Retries", "RetryInterval", "TargetDeviceIdentifier", "TargetVersion" }, null, null, null),
            new pbr::GeneratedClrTypeInfo(typeof(global::UpdateFirmware.UpdateFirmwareCommandResponse), global::UpdateFirmware.UpdateFirmwareCommandResponse.Parser, new[]{ "TargetDeviceIdentifier" }, new[]{ "TargetDeviceIdentifier" }, null, null, null)
          }));
    }
    #endregion

  }
  #region Messages
  public sealed partial class UpdateFirmwareCommand : pb::IMessage<UpdateFirmwareCommand>
  #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      , pb::IBufferMessage
  #endif
  {
    private static readonly pb::MessageParser<UpdateFirmwareCommand> _parser = new pb::MessageParser<UpdateFirmwareCommand>(() => new UpdateFirmwareCommand());
    private pb::UnknownFieldSet _unknownFields;
    private int _hasBits0;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pb::MessageParser<UpdateFirmwareCommand> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::UpdateFirmware.UpdateFirmwareReflection.Descriptor.MessageTypes[0]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public UpdateFirmwareCommand() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public UpdateFirmwareCommand(UpdateFirmwareCommand other) : this() {
      _hasBits0 = other._hasBits0;
      location_ = other.location_;
      retries_ = other.retries_;
      retrieveDate_ = other.retrieveDate_ != null ? other.retrieveDate_.Clone() : null;
      retryInterval_ = other.retryInterval_;
      targetDeviceIdentifier_ = other.targetDeviceIdentifier_;
      targetVersion_ = other.targetVersion_;
      _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public UpdateFirmwareCommand Clone() {
      return new UpdateFirmwareCommand(this);
    }

    /// <summary>Field number for the "location" field.</summary>
    public const int LocationFieldNumber = 1;
    private string location_ = "";
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string Location {
      get { return location_; }
      set {
        location_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }

    /// <summary>Field number for the "retries" field.</summary>
    public const int RetriesFieldNumber = 2;
    private int retries_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int Retries {
      get { if ((_hasBits0 & 1) != 0) { return retries_; } else { return 0; } }
      set {
        _hasBits0 |= 1;
        retries_ = value;
      }
    }
    /// <summary>Gets whether the "retries" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasRetries {
      get { return (_hasBits0 & 1) != 0; }
    }
    /// <summary>Clears the value of the "retries" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearRetries() {
      _hasBits0 &= ~1;
    }

    /// <summary>Field number for the "retrieve_date" field.</summary>
    public const int RetrieveDateFieldNumber = 3;
    private global::Google.Protobuf.WellKnownTypes.Timestamp retrieveDate_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public global::Google.Protobuf.WellKnownTypes.Timestamp RetrieveDate {
      get { return retrieveDate_; }
      set {
        retrieveDate_ = value;
      }
    }

    /// <summary>Field number for the "retry_interval" field.</summary>
    public const int RetryIntervalFieldNumber = 4;
    private int retryInterval_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int RetryInterval {
      get { if ((_hasBits0 & 2) != 0) { return retryInterval_; } else { return 0; } }
      set {
        _hasBits0 |= 2;
        retryInterval_ = value;
      }
    }
    /// <summary>Gets whether the "retry_interval" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasRetryInterval {
      get { return (_hasBits0 & 2) != 0; }
    }
    /// <summary>Clears the value of the "retry_interval" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearRetryInterval() {
      _hasBits0 &= ~2;
    }

    /// <summary>Field number for the "target_device_identifier" field.</summary>
    public const int TargetDeviceIdentifierFieldNumber = 5;
    private string targetDeviceIdentifier_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string TargetDeviceIdentifier {
      get { return targetDeviceIdentifier_ ?? ""; }
      set {
        targetDeviceIdentifier_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "target_device_identifier" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasTargetDeviceIdentifier {
      get { return targetDeviceIdentifier_ != null; }
    }
    /// <summary>Clears the value of the "target_device_identifier" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearTargetDeviceIdentifier() {
      targetDeviceIdentifier_ = null;
    }

    /// <summary>Field number for the "target_version" field.</summary>
    public const int TargetVersionFieldNumber = 6;
    private string targetVersion_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string TargetVersion {
      get { return targetVersion_ ?? ""; }
      set {
        targetVersion_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "target_version" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasTargetVersion {
      get { return targetVersion_ != null; }
    }
    /// <summary>Clears the value of the "target_version" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearTargetVersion() {
      targetVersion_ = null;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override bool Equals(object other) {
      return Equals(other as UpdateFirmwareCommand);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Equals(UpdateFirmwareCommand other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if (Location != other.Location) return false;
      if (Retries != other.Retries) return false;
      if (!object.Equals(RetrieveDate, other.RetrieveDate)) return false;
      if (RetryInterval != other.RetryInterval) return false;
      if (TargetDeviceIdentifier != other.TargetDeviceIdentifier) return false;
      if (TargetVersion != other.TargetVersion) return false;
      return Equals(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override int GetHashCode() {
      int hash = 1;
      if (Location.Length != 0) hash ^= Location.GetHashCode();
      if (HasRetries) hash ^= Retries.GetHashCode();
      if (retrieveDate_ != null) hash ^= RetrieveDate.GetHashCode();
      if (HasRetryInterval) hash ^= RetryInterval.GetHashCode();
      if (HasTargetDeviceIdentifier) hash ^= TargetDeviceIdentifier.GetHashCode();
      if (HasTargetVersion) hash ^= TargetVersion.GetHashCode();
      if (_unknownFields != null) {
        hash ^= _unknownFields.GetHashCode();
      }
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void WriteTo(pb::CodedOutputStream output) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      output.WriteRawMessage(this);
    #else
      if (Location.Length != 0) {
        output.WriteRawTag(10);
        output.WriteString(Location);
      }
      if (HasRetries) {
        output.WriteRawTag(16);
        output.WriteInt32(Retries);
      }
      if (retrieveDate_ != null) {
        output.WriteRawTag(26);
        output.WriteMessage(RetrieveDate);
      }
      if (HasRetryInterval) {
        output.WriteRawTag(32);
        output.WriteInt32(RetryInterval);
      }
      if (HasTargetDeviceIdentifier) {
        output.WriteRawTag(42);
        output.WriteString(TargetDeviceIdentifier);
      }
      if (HasTargetVersion) {
        output.WriteRawTag(50);
        output.WriteString(TargetVersion);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(output);
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
      if (Location.Length != 0) {
        output.WriteRawTag(10);
        output.WriteString(Location);
      }
      if (HasRetries) {
        output.WriteRawTag(16);
        output.WriteInt32(Retries);
      }
      if (retrieveDate_ != null) {
        output.WriteRawTag(26);
        output.WriteMessage(RetrieveDate);
      }
      if (HasRetryInterval) {
        output.WriteRawTag(32);
        output.WriteInt32(RetryInterval);
      }
      if (HasTargetDeviceIdentifier) {
        output.WriteRawTag(42);
        output.WriteString(TargetDeviceIdentifier);
      }
      if (HasTargetVersion) {
        output.WriteRawTag(50);
        output.WriteString(TargetVersion);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(ref output);
      }
    }
    #endif

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int CalculateSize() {
      int size = 0;
      if (Location.Length != 0) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(Location);
      }
      if (HasRetries) {
        size += 1 + pb::CodedOutputStream.ComputeInt32Size(Retries);
      }
      if (retrieveDate_ != null) {
        size += 1 + pb::CodedOutputStream.ComputeMessageSize(RetrieveDate);
      }
      if (HasRetryInterval) {
        size += 1 + pb::CodedOutputStream.ComputeInt32Size(RetryInterval);
      }
      if (HasTargetDeviceIdentifier) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(TargetDeviceIdentifier);
      }
      if (HasTargetVersion) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(TargetVersion);
      }
      if (_unknownFields != null) {
        size += _unknownFields.CalculateSize();
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(UpdateFirmwareCommand other) {
      if (other == null) {
        return;
      }
      if (other.Location.Length != 0) {
        Location = other.Location;
      }
      if (other.HasRetries) {
        Retries = other.Retries;
      }
      if (other.retrieveDate_ != null) {
        if (retrieveDate_ == null) {
          RetrieveDate = new global::Google.Protobuf.WellKnownTypes.Timestamp();
        }
        RetrieveDate.MergeFrom(other.RetrieveDate);
      }
      if (other.HasRetryInterval) {
        RetryInterval = other.RetryInterval;
      }
      if (other.HasTargetDeviceIdentifier) {
        TargetDeviceIdentifier = other.TargetDeviceIdentifier;
      }
      if (other.HasTargetVersion) {
        TargetVersion = other.TargetVersion;
      }
      _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(pb::CodedInputStream input) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      input.ReadRawMessage(this);
    #else
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
            break;
          case 10: {
            Location = input.ReadString();
            break;
          }
          case 16: {
            Retries = input.ReadInt32();
            break;
          }
          case 26: {
            if (retrieveDate_ == null) {
              RetrieveDate = new global::Google.Protobuf.WellKnownTypes.Timestamp();
            }
            input.ReadMessage(RetrieveDate);
            break;
          }
          case 32: {
            RetryInterval = input.ReadInt32();
            break;
          }
          case 42: {
            TargetDeviceIdentifier = input.ReadString();
            break;
          }
          case 50: {
            TargetVersion = input.ReadString();
            break;
          }
        }
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
            break;
          case 10: {
            Location = input.ReadString();
            break;
          }
          case 16: {
            Retries = input.ReadInt32();
            break;
          }
          case 26: {
            if (retrieveDate_ == null) {
              RetrieveDate = new global::Google.Protobuf.WellKnownTypes.Timestamp();
            }
            input.ReadMessage(RetrieveDate);
            break;
          }
          case 32: {
            RetryInterval = input.ReadInt32();
            break;
          }
          case 42: {
            TargetDeviceIdentifier = input.ReadString();
            break;
          }
          case 50: {
            TargetVersion = input.ReadString();
            break;
          }
        }
      }
    }
    #endif

  }

  public sealed partial class UpdateFirmwareCommandResponse : pb::IMessage<UpdateFirmwareCommandResponse>
  #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      , pb::IBufferMessage
  #endif
  {
    private static readonly pb::MessageParser<UpdateFirmwareCommandResponse> _parser = new pb::MessageParser<UpdateFirmwareCommandResponse>(() => new UpdateFirmwareCommandResponse());
    private pb::UnknownFieldSet _unknownFields;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pb::MessageParser<UpdateFirmwareCommandResponse> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::UpdateFirmware.UpdateFirmwareReflection.Descriptor.MessageTypes[1]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public UpdateFirmwareCommandResponse() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public UpdateFirmwareCommandResponse(UpdateFirmwareCommandResponse other) : this() {
      targetDeviceIdentifier_ = other.targetDeviceIdentifier_;
      _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public UpdateFirmwareCommandResponse Clone() {
      return new UpdateFirmwareCommandResponse(this);
    }

    /// <summary>Field number for the "target_device_identifier" field.</summary>
    public const int TargetDeviceIdentifierFieldNumber = 1;
    private string targetDeviceIdentifier_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string TargetDeviceIdentifier {
      get { return targetDeviceIdentifier_ ?? ""; }
      set {
        targetDeviceIdentifier_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "target_device_identifier" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasTargetDeviceIdentifier {
      get { return targetDeviceIdentifier_ != null; }
    }
    /// <summary>Clears the value of the "target_device_identifier" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearTargetDeviceIdentifier() {
      targetDeviceIdentifier_ = null;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override bool Equals(object other) {
      return Equals(other as UpdateFirmwareCommandResponse);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Equals(UpdateFirmwareCommandResponse other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if (TargetDeviceIdentifier != other.TargetDeviceIdentifier) return false;
      return Equals(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override int GetHashCode() {
      int hash = 1;
      if (HasTargetDeviceIdentifier) hash ^= TargetDeviceIdentifier.GetHashCode();
      if (_unknownFields != null) {
        hash ^= _unknownFields.GetHashCode();
      }
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void WriteTo(pb::CodedOutputStream output) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      output.WriteRawMessage(this);
    #else
      if (HasTargetDeviceIdentifier) {
        output.WriteRawTag(10);
        output.WriteString(TargetDeviceIdentifier);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(output);
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
      if (HasTargetDeviceIdentifier) {
        output.WriteRawTag(10);
        output.WriteString(TargetDeviceIdentifier);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(ref output);
      }
    }
    #endif

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int CalculateSize() {
      int size = 0;
      if (HasTargetDeviceIdentifier) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(TargetDeviceIdentifier);
      }
      if (_unknownFields != null) {
        size += _unknownFields.CalculateSize();
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(UpdateFirmwareCommandResponse other) {
      if (other == null) {
        return;
      }
      if (other.HasTargetDeviceIdentifier) {
        TargetDeviceIdentifier = other.TargetDeviceIdentifier;
      }
      _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(pb::CodedInputStream input) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      input.ReadRawMessage(this);
    #else
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
            break;
          case 10: {
            TargetDeviceIdentifier = input.ReadString();
            break;
          }
        }
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
            break;
          case 10: {
            TargetDeviceIdentifier = input.ReadString();
            break;
          }
        }
      }
    }
    #endif

  }

  #endregion

}

#endregion Designer generated code
